Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security.wsse
Interface Token

All Known Subinterfaces:
  BinarySecurityToken, UsernameToken

public interface Token

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.security.cert.X509Certificate` | `getCertificate()` Returns the certificate associated with the token if available.
`java.security.cert.X509Certificate[]` | `getCertificateChain()` Returns the certicate chain associated with the token if available.
`java.lang.String` | `getId()` Returns the ID attribute of the Token.
`java.security.PrivateKey` | `getPrivateKey()` Returns the private key associated with the token, if available.
`java.security.PublicKey` | `getPublicKey()` Returns the public key assocaited with the token, if any.
`java.security.Key` | `getSecretKey()` Returns the secret key associated with the token if available.

Method Detail

### getId

    public java.lang.String getId()

  Returns the ID attribute of the Token. The ID is used to connect the token to signatures and encrypted keys.

  Returns:

### getPublicKey

    public java.security.PublicKey getPublicKey()

  Returns the public key assocaited with the token, if any.

  Returns:

### getPrivateKey

    public java.security.PrivateKey getPrivateKey()

  Returns the private key associated with the token, if available.

  Returns:

### getCertificate

    public java.security.cert.X509Certificate getCertificate()

  Returns the certificate associated with the token if available.

  Returns:

### getCertificateChain

    public java.security.cert.X509Certificate[] getCertificateChain()

  Returns the certicate chain associated with the token if available.

  Returns:

### getSecretKey

    public java.security.Key getSecretKey()

  Returns the secret key associated with the token if available.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD